com.tibbo.aggregate.common.event

## Class Acknowledgement

- java.lang.Object
- - com.tibbo.aggregate.common.event.Acknowledgement

- All Implemented Interfaces:
    java.lang.Cloneable

      public class Acknowledgement
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_AUTHOR`
    `static java.lang.String` | `FIELD_TEXT`
    `static java.lang.String` | `FIELD_TIME`
    `static TableFormat` | `FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Acknowledgement()`
    `Acknowledgement(java.lang.String author, java.util.Date time, java.lang.String text)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Acknowledgement` | `clone()`
    `java.lang.String` | `getAuthor()`
    `TableFormat` | `getFormat()`
    `java.lang.String` | `getText()`
    `java.util.Date` | `getTime()`
    `void` | `setAuthor(java.lang.String author)`
    `void` | `setText(java.lang.String text)`
    `void` | `setTime(java.util.Date time)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_AUTHOR

          public static final java.lang.String FIELD_AUTHOR

      See Also:
        Constant Field Values

    - #### FIELD_TIME

          public static final java.lang.String FIELD_TIME

      See Also:
        Constant Field Values

    - #### FIELD_TEXT

          public static final java.lang.String FIELD_TEXT

      See Also:
        Constant Field Values

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### Acknowledgement

          public Acknowledgement()

    - #### Acknowledgement

          public Acknowledgement(java.lang.String author,
                                 java.util.Date time,
                                 java.lang.String text)

  - ### Method Detail

    - #### getAuthor

          public java.lang.String getAuthor()

    - #### getText

          public java.lang.String getText()

    - #### getTime

          public java.util.Date getTime()

    - #### setAuthor

          public void setAuthor(java.lang.String author)

    - #### setText

          public void setText(java.lang.String text)

    - #### setTime

          public void setTime(java.util.Date time)

    - #### getFormat

          public TableFormat getFormat()

    - #### clone

          public Acknowledgement clone()

      Overrides:
        `clone` in class `java.lang.Object`